- Qt 5.3
- Qt Sensors
- C++ Classes
- QTapFilter
- Qt 5.3.2 Reference Documentation

# QTapFilter Class

The QTapFilter class is a convenience wrapper around QSensorFilter. More...

Header: | `#include <QTapFilter>`
qmake: | `QT += sensors`
Inherits: | QSensorFilter.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QTapReading * reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QTapFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QTapReading instead of QSensorReading.

## Member Function Documentation

### bool QTapFilter::filter(QTapReading * reading)`[pure virtual]`

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().